Bug 227190

Summary: games/assaultcube: Modernize port (v1.2.0.2)
Product: Ports & Packages Reporter: lightside <lightside>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me CC: emaste
Priority: --- Keywords: patch
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Proposed patch (since 449527 revision)
lightside: maintainer-approval+
Proposed patch (since 449527 revision)
lightside: maintainer-approval+
Proposed patch (since 466683 revision)
lightside: maintainer-approval+
Proposed patch (since 466683 revision) lightside: maintainer-approval+

Description lightside 2018-04-01 19:43:16 UTC
Created attachment 192074 [details]
Proposed patch (since 449527 revision)

Patch to modernize games/assaultcube port for v1.2.0.2.

- Use ${DATADIR} instead of %%DATADIR%% for PLIST_DIRS variable
- Remove bsd.port.options.mk include and use options helpers

The build was tested on FreeBSD 10.3 amd64.
Comment 1 lightside 2018-04-01 20:58:29 UTC
Created attachment 192078 [details]
Proposed patch (since 449527 revision)
Comment 2 Ed Maste freebsd_committer 2018-04-02 15:06:49 UTC
Thanks, I will try to take another look at lld issues in this port (PR226980) after this lands.
Comment 3 lightside 2018-04-06 22:11:05 UTC
Created attachment 192299 [details]
Proposed patch (since 466683 revision)

Updated patch after ports r466683 changes.

(In reply to Ed Maste from comment #2)
Looks like, this happened in other order. Thanks for your work in bug 226980.
Comment 4 lightside 2018-05-30 18:42:39 UTC
Created attachment 193846 [details]
Proposed patch (since 466683 revision)

Removed "PORT_ENET_ALL_TARGET_OFF=libenet" from attachment #192299 [details], because client, master and server targets depends on libenet, in this case:
https://github.com/assaultcube/AC/blob/v1.2.0.2/source/src/Makefile#L158-L164
Comment 5 lightside 2018-05-30 19:40:15 UTC
(In reply to comment #4)
The "ALL_TARGET=	# empty" and "ALL_TARGET+=	libenet" was needed for ports r385887 changes, when ".include <bsd.port.options.mk>" was used for previous state of ports, but the addition of ${opt}_VARS_OFF in Mk/bsd.options.mk allowed to group needed changes in one place, according to bug 197605 comment #48.
Comment 6 lightside 2018-05-30 20:31:25 UTC
(In reply to comment #5)
At least, something was changed in ports, so *_ALL_TARGET in port's options may overwrite original "ALL_TARGET?=		all":
https://github.com/freebsd/freebsd-ports/blob/b437b8c52c119e6f038b3a72b646acfe7d5a9b53/Mk/bsd.port.mk#L2227
https://github.com/freebsd/freebsd-ports/blob/6658fda60add6d49912c7d77eb5879e6dce5477c/Mk/bsd.options.mk#L178
https://github.com/freebsd/freebsd-ports/blob/6658fda60add6d49912c7d77eb5879e6dce5477c/Mk/bsd.options.mk#L505-L509

But possible to not remove "ALL_TARGET=	# empty", if needed.
Comment 7 commit-hook freebsd_committer 2018-07-10 13:09:07 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 10 13:08:37 UTC 2018
New revision: 474365
URL: https://svnweb.freebsd.org/changeset/ports/474365

Log:
  games/assaultcube: modernize port

  PR:		227190
  Submitted by:	lightside <lightside@gmx.com> (maintainer)

Changes:
  head/games/assaultcube/Makefile
Comment 8 Steve Wills freebsd_committer 2018-07-10 13:09:52 UTC
Committed, thanks!